Visual Studio 和 .NET Framework

一直认为VS会自动使用本机NET环境,这才发现不是这样的,而是VS和某几个NET是绑定的,老版本的VS只可以和某个NET绑定。

Each version of Visual Studio prior to Visual Studio 2010 is tied to a specific .NET framework. (VS2008 is .NET 3.5, VS2005 is .NET 2.0, VS2003 is .NET1.1) Visual Studio 2010 and beyond allow for targeting of prior framework versions but cannot be used for future releases. You must use Visual Studio 2012 in order to utilize .NET 4.5.

有些人Hack了VS,可以在VS2010安装NET4.5,但是也未经证实一定可用。看来还是老老实实的好。

xenadmin开源项目使用了NET4.5+中的TLS11和TLS12协议,但是居然是VS2010编译的,看来放代码的人和写Readme的不是同一个人。等能编译了再报告吧,不知道是不是能搞定。

相关信息:

  1. Targeting .NET Framework 4.5 via Visual Studio 2010
  2. SslProtocols Enumeration
  3. dotnet-packages
  4. xenadmin

发表评论

电子邮件地址不会被公开。 必填项已用*标注